@mixin main () {

    --col-1: var(--bg);
    --col-2: var(--bg);
    --text: var(--fg);
    
    height: calc((var(--h) * 4 + 1 + 0.25) * var(--unit));
    width: calc((var(--w) * 4 + 0.25) * var(--unit));
    top: calc((var(--y) * 4 - 0.125) * var(--unit) - var(--gy) * 1px - 1px);
    left: calc((var(--x) * 4 - 0.125) * var(--unit) - var(--gx) * 1px - 1px);

    padding: calc(var(--unit) / 8);

    background: linear-gradient(to bottom, var(--col-1) calc(1.125 * var(--unit)), var(--col-2) calc((var(--h) * 4 + 0.125) * var(--unit)));
    border: none;

    display: flex;
    flex-direction: column;
    box-shadow: 1px 1px 6px -2px #000;

    z-index: 4;
    
    .titre {
        height: var(--unit);
        text-align: center;
        font-size: calc(0.6 * var(--unit));
        width: max-content;
        margin: auto;
        pointer-events: none;
    }

    .content {

        background: var(--bg);
        padding-right: calc(var(--unit) / 8);
        padding-left: calc(var(--unit) / 8);
        border-radius: calc(var(--unit) / 8);
        font-size: calc(.45 * var(--unit));

        height: 100%;
        width: 100%;
        display: flex;
        flex-direction: row;
        gap: 0 calc(0.5 * var(--unit));
        pointer-events: none;

        .in, .out {

            display: flex;
            flex-direction: column;
            align-items: center;
            width: max-content;
            position: relative;
            word-break: keep-all;
            white-space: nowrap;
            pointer-events: none;
            
            .flux, .arg {
                display: grid;
                align-items: center;
                width: auto;
                justify-content: left;
                padding-left: 0 ;
                position: relative;
                gap: 0 calc(var(--unit) / 8);
                grid-template-columns: auto auto;
                min-height: var(--unit);
                pointer-events: none;
                
                --arg-col: var(--fg-1);

                .txt {
                    width: 100%;
                    height: var(--unit);        
                    pointer-events: none;
                }

                .box {
                    position: relative;
                    height: calc(var(--unit) * 3 / 4);
                    width: calc(var(--unit) * 3 / 4);
                    background: var(--arg-col);
                    border: var(--border);
                    pointer-events: all;

                    &::after {
                        content: "";
                        position: absolute;
                        top: calc(var(--unit) / 10);
                        left: calc(var(--unit) / 10);
                        right: calc(var(--unit) / 10);
                        bottom: calc(var(--unit) / 10);
                        border: var(--border);
                        background: var(--bg);
                        pointer-events: none;
                    }
                    
                    &:hover::after {
                        background: var(--bg-1);
                    }

                    &.active {
                        &::after {
                            background: var(--arg-col);
                        }
                    }

                    &.hidden {
                        opacity: 0.5;
                        pointer-events: none;
                    }

                }


            }

            .arg {
                .box {
                    border-radius: 50%;
                    &::after {
                        border-radius: 50%;
                    }
                }
    
                .defarg {
                    grid-column: 2;
                    width: 100%;
                    height: var(--unit);
                    display: flex;
                    align-items: center;
                    justify-content: left;
                    gap: calc(0.2 * var(--unit));
                    
                    input {
                        width: 100%;
                        font-size: calc(.45 * var(--unit));
                        color: var(--fg);
                        border: none;
                        background: transparent;
                        margin: 0;
                        padding: 0 calc(0.1 * var(--unit));
                        height: calc(0.75 * var(--unit));
                        accent-color: var(--theme);
                        pointer-events: all;

                        &:focus {
                            outline: none;
                            background: transparent;
                        }

                        border-left: 1px solid var(--arg-col);
                        border-bottom: 1px solid var(--arg-col);
                        
                        &[type=checkbox], 
                        &[type=radio], 
                        &[type=color],
                        &[type=file], 
                        &[type=range] {
                            border: none;
                        }

                        &[type=checkbox], 
                        &[type=radio] {
                            height: calc(0.5 * var(--unit));
                            width: calc(0.5 * var(--unit));
                        }

                    }
    
                }

                .box.active ~ .defarg {
                    display: none;
                }
            }

        }

        .in {
            margin-right: auto;
            align-items: start;
        }

        .out {
            margin-left: auto;
            align-items: end;
            .flux, .arg {
                justify-content: right;
                .txt {
                    grid-column: 1;
                    grid-row: 1;
                }
                .box {
                    grid-column: 2;
                }
            }
        }

    }


}